# Multiple Digital Pins Library for MicroBlocks

Welcome to the **MDP Library** for MicroBlocks!  
This library makes it easy for anyone—even if you don’t know how to code or use a computer much—to control these modules: **RGB LED, Traffic Light,** and **Ultrasonic** using simple blocks in MicroBlocks.

---

## Features

- **Easy Drag-and-Drop Blocks** for controlling the module.
- **No Coding Required**.
- **Beginner-Friendly Instructions**.
- **Control the MDP Modules Easily**.

---

## Getting Started

**What you need:**
- Spark microcontroller and connecting wires.
- MicroBlocks IDE installed ([Download here](https://microblocks.fun/download/)).
- MDP Modules and basic connecting wires.

---

## Installation

1. **Download the MDP Library:**  
   Download the library file from [here](../Spark_MDP.ubl).

2. **Open MicroBlocks IDE** on your computer.

3. **Add the Library:**
   - Go to the library manager in MicroBlocks.
   - Click “Import Library” or drag and drop the downloaded file into the IDE.

---

## How to Use

1. **Connect your module** to your microcontroller’s pins (see your board’s pinout for details).

2. **Open MicroBlocks IDE** and make sure your board is connected.

3. **Find the MDP blocks** in the blocks menu.

4. **Drag the blocks** you want to use into your script area.  

5. **Click the green flag** or “Run” to start controlling the module!

---
## Examples

There is special examples for each module:

- [**RGBLED**](../Spark_MDP/Spark_RGBLED/README.md) 
- [**Traffic Light**](../Spark_MDP/Spark_TrafficLight/README.md) 
- [**LEUltrasonicD**](../Spark_MDP/Spark_Ultrasonic/README.md) 

---

*Have fun building with Spark Kit!*

